package com.jiuqi.syntax;

package .tmp;

import com.jiuqi.syntax.FunctionParam;
import java.util.ArrayList;

public final class FunctionParams extends ArrayList {
  public FunctionParam getParam(int index) {
    return (FunctionParam)get(index);
  }
  
  public boolean add(FunctionParam param) {
    return add((E)param);
  }
  
  public FunctionParam addParam(String name, String title, int type) {
    return addParam(name, title, type, false, false);
  }
  
  public FunctionParam addParam(String name, String title, int type, boolean canOmit) {
    return addParam(name, title, type, canOmit, false);
  }
  
  public FunctionParam addParam(String name, String title, int type, boolean canOmit, boolean isSign) {
    FunctionParam param = new FunctionParam();
    param.name = name;
    param.title = title;
    param.type = type;
    param.canOmit = canOmit;
    param.isSign = isSign;
    add(param);
    return param;
  }
}
